Page MenuHomePhabricator

Show grey rectangle even on fast hovering
Closed, ResolvedPublic2 Story Points

Description

Current situation
When you hover quickly over the revision bars, the tooltip moves with the mouse. The grey rectangle that connects the tooltip to the corresponding bar, however, disappears.

Task
Let the grey rectangle connect the tooltip and the revision also when hovering quickly.

Background:
This is part of adding the revision slider to the revision diff page. The revision slider is a feature that adds a visualization of all revisions to the compare screen.
The revision slider was originally prototyped by the WMF Community Tech team and then handed over to the WMDE TCB team, as it is also a solution to fulfill a wish of the German Community Wishlist: https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Artikel#Anzeige_aller_Bearbeitungskommentare_im_Diff

Event Timeline

Lea_WMDE created this task.Aug 16 2016, 3:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2016, 3:34 PM

Change 305651 had a related patch set uploaded (by Jakob):
Remove transition on revision wrapper hover.

https://gerrit.wikimedia.org/r/305651

I'm not 100% sure I understood the task description correctly. In the patch I just removed the transition that slowly fades in the background color on hover.

Change 305651 merged by jenkins-bot:
Remove transition on revision wrapper hover.

https://gerrit.wikimedia.org/r/305651

WMDE-leszek triaged this task as Normal priority.Aug 25 2016, 1:12 PM
WMDE-leszek set the point value for this task to 2.
Tobi_WMDE_SW closed this task as Resolved.Aug 29 2016, 12:48 PM
Addshore moved this task from Incoming to Done on the Revision-Slider board.Sep 13 2016, 2:51 PM